<div class="row" *ngIf="event">
  <div class="col-8">
    <div class="event-name">
      <span class="badge badge-primary mr-1" *ngIf="event.serial">S</span>
      <a *ngIf="isProjectManager"
         routerLink="/projects/{{project.id}}/ensembles/{{ensembleId}}/events/{{event.id}}">{{ event.title }}</a>
      <span *ngIf="!isProjectManager">{{ event.title }}</span>
    </div>
  </div>
  <div class="col-4">
    <div class="btn-group btn-group-sm float-right" role="group">
      <button type="button" class="btn btn-outline-info"
              [popover]="popTemplate"
              popoverTitle="Beschreibung"
              placement="auto"
              [outsideClick]="true"
              *ngIf="event.description">
        <span>Info</span>
        <i class="fas fa-info-circle"></i>
      </button>
      <ng-template #popTemplate>{{event.description}}</ng-template>
      <ng-container *ngIf="controls && project.status != 'past'">
        <button class="btn btn-outline-primary" (click)="openEditEventModal(event)" *ngIf="isProjectEditor"
                tooltip="Termin bearbeiten" placement="auto"><i class="fas fa-edit"></i></button>
        <button class="btn btn-outline-primary" (click)="openDuplicateEventModal(event)" *ngIf="!event.serial && isProjectEditor"
                tooltip="Termin duplizieren" placement="auto"><i class="far fa-copy"></i></button>
      </ng-container>
      <button class="btn btn-outline-primary" (click)="openListEventModal(event)" tooltip="Anwesenheit"
              placement="auto" *ngIf="isProjectManager"><i class="fas fa-check"></i></button>
      <button class="btn btn-outline-danger" (click)="openConfirmModal(event)" tooltip="Termin löschen"
              placement="auto" *ngIf="isProjectEditor"><i class="fas fa-trash"></i></button>
    </div>
  </div>
</div>
<div class="row">
  <div class="col-12">
    <div class="event-time d-flex align-items-center" *ngIf="event.start.getDate() == event.end.getDate()">
      <span [class]="'align-items-baseline badge badge-pill mr-2 ' + getClass(event.type)">{{ 'event.' + event.type | translate}} </span>
      <span>{{event.start | date: 'short' }}</span> -
      <span>{{event.end | date: 'HH:mm' }}</span>
    </div>
    <div class="event-time d-flex align-items-center" *ngIf="event.start.getDate() != event.end.getDate()">
      <span [class]="'align-items-baseline badge badge-pill mr-2 ' + getClass(event.type)"> {{ 'event.' + event.type | translate}}</span>
      <span>{{event.start | date: 'short'}}</span> -
      <span>{{event.end | date: 'short' }}</span>
    </div>
  </div>
</div>
<div class="row" *ngIf="event.deadline">
  <div class="col-12">
    <div class="event-time">
      <span>Anmeldedeadline: {{event.deadline | date: 'short' }}</span>
    </div>
  </div>
</div>
<div class="row">
  <div class="event-address text-muted col-9">
    <ng-container *ngIf="event.address">
      <span *ngIf="event.address.street || event.address.number">
              {{event.address.street}}
              {{event.address?.number}},
            </span>
      <span *ngIf="event.address.postalCode || event.address.city">
              {{event.address?.postalCode}}
        {{event.address?.city}},
            </span>
      <span *ngIf="event.address.country">
              {{event.address?.country}},
            </span>
      <span *ngIf="event.address.custom">
              {{event.address?.custom}},
            </span>
    </ng-container>
    {{event.location}}
  </div>
  <div class="col-3">
    <span class="badge badge-info float-right">
      <ng-container
          *ngFor="let register of event.registers | arraysort:'prio'; last as isLast">
        {{register.shortcut}}{{isLast ? '' : ', '}}
      </ng-container>
    </span>
  </div>
</div>
<eos-announcement-button
    [project]="project"
    [event]="event"
    [ensembleId]="ensembleId"
    [mode]="'event'"
    [eventgroup]="eventgroup">
</eos-announcement-button>